<div class="container">
    <form #cadastroLancamentoForm="ngForm" (ngSubmit)="salvar(cadastroLancamentoForm)">
        <div class="ui-g">
            <div class="ui-g-12">
                <h1>Novo Lançamento</h1>
            </div>
            <div class="ui-g-12">
                <p-selectButton [options]="tipos" #tipo></p-selectButton>
            </div>
            <div class="ui-g-6 ui-md-3 ui-fluid">
                <label>Vencimento</label>
                <p-calendar dateFormat="dd/mm/yy" [inline]="false" [readonlyInput]="false" [showIcon]="true"
                name="vencimento" ngModel #vencimento="ngModel" required></p-calendar>
                <app-message [control]="vencimento" error="required" text="Informe uma data de vencimento"></app-message>
            </div>
            <div class="ui-g-6 ui-md-3 ui-fluid">
                <label>{{tipo.value === 'RECEITA' ? 'Recebimento' : 'Pagamento'}}</label>
                <p-calendar dateFormat="dd/mm/yy" [showIcon]="true"></p-calendar>
            </div>
            <div class="ui-g-12 ui-md-9 ui-fluid">
                <label>Descrição {{descricao.errors | json}}</label>
                <input pInputText type="text" name="descricao" ngModel #descricao="ngModel" required minlength="5">
                    <app-message [control]="descricao" error="required" text="Informe uma descrição"></app-message>
                    <app-message [control]="descricao" error="minlength" text="Mínimo de {{ descricao.errors?.minlength?.requiredLength }} caracteres"></app-message>
            </div>
            <div class="ui-g-12 ui-md-3 ui-fluid">
                <label>Valor</label>
                <input pInputText type="text" placeholder="0,00" currencyMask name="valor" ngModel #valor="ngModel" required [options]="{ prefix: 'R$ ', thousands: '.', decimal: ',', allowNegative: false }">
                <app-message [control]="valor" error="required" text="Informe um valor"></app-message>
            </div>
            <div class="ui-g-12 ui-md-6 ui-fluid">
                <label>Categoria</label>
                <p-dropdown [options]="categorias" placeholder="Selecione" name="categoria" ngModel #categoria required [autoWidth]="false"></p-dropdown>
            </div>
            <div class="ui-g-12 ui-md-6 ui-fluid">
                <label>Pessoa</label>
                <p-dropdown [options]="pessoas" placeholder="Selecione" name="pessoa" ngModel #pessoa required [autoWidth]="false" [filter]="true"></p-dropdown>
            </div>
            <div class="ui-g-12 ui-fluid">
                <label>Observação</label>
                <textarea pInputTextarea rows="3"></textarea>
            </div>
            <div class="ui-g-12">
                <button pButton type="submit" label="Salvar" [disabled]="!cadastroLancamentoForm.valid"></button>
                <button pButton type="button" label="Novo" class="ui-button-info"></button>
                <a href="javascript:;">Voltar para a pesquisa</a>
            </div>
        </div>
    </form>
</div>

